package com.dev.swms.server.model.count;

import java.util.Date;
import java.util.List;

import com.dev.energy.server.model.Entity;

public class CreatCountPlanPackage extends Entity {
	/** 按库位盘点货主 */
	private Long locationCompanyId;
	/** 按货主盘点货主 */
	private Long itemCompanyId;
	/** 按动碰盘点货主 */
	private Long movedCompanyId;
	/** 按ABC分类盘点货主*/
	private Long abcCompanyId;
	/** 待盘点数 */
	private int toCountLocsCounts;
	/** 待盘点货品 */
	private int toCountItemsCounts;
	/** 货品IDs */
	private List<Long> itemIds;
	/** 开始时间 */
	private Date startDate;
	/** 结束时间 */
	private Date endDate;
	/** 盘点方式 */
	private String countMethod;
	
	public Long getLocationCompanyId() {
		return locationCompanyId;
	}
	public void setLocationCompanyId(Long locationCompanyId) {
		this.locationCompanyId = locationCompanyId;
	}
	public Long getItemCompanyId() {
		return itemCompanyId;
	}
	public void setItemCompanyId(Long itemCompanyId) {
		this.itemCompanyId = itemCompanyId;
	}
	public Long getMovedCompanyId() {
		return movedCompanyId;
	}
	public void setMovedCompanyId(Long movedCompanyId) {
		this.movedCompanyId = movedCompanyId;
	}
	public int getToCountLocsCounts() {
		return toCountLocsCounts;
	}
	public void setToCountLocsCounts(int toCountLocsCounts) {
		this.toCountLocsCounts = toCountLocsCounts;
	}
	public List<Long> getItemIds() {
		return itemIds;
	}
	public void setItemIds(List<Long> itemIds) {
		this.itemIds = itemIds;
	}
	public Date getStartDate() {
		return startDate;
	}
	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}
	public Date getEndDate() {
		return endDate;
	}
	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}
	public String getCountMethod() {
		return countMethod;
	}
	public void setCountMethod(String countMethod) {
		this.countMethod = countMethod;
	}
	
	public boolean equals(Object arg0) {
		return false;
	}
	public int hashCode() {
		return 0;
	}
	public int getToCountItemsCounts() {
		return toCountItemsCounts;
	}
	public void setToCountItemsCounts(int toCountItemsCounts) {
		this.toCountItemsCounts = toCountItemsCounts;
	}
	public Long getAbcCompanyId() {
		return abcCompanyId;
	}
	public void setAbcCompanyId(Long abcCompanyId) {
		this.abcCompanyId = abcCompanyId;
	}
}
